#pragma once

#include <alphabet/EndSymbol.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < alphabet::EndSymbol > {
	static alphabet::EndSymbol parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alphabet::EndSymbol & symbol );
};

} /* namespace core */

