#pragma once

#include <alphabet/GapSymbol.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < alphabet::GapSymbol > {
	static alphabet::GapSymbol parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alphabet::GapSymbol & symbol );
};

} /* namespace core */
